New toolchain updates need to be rebuilt against -security only

Bug #1828171 reported by Łukasz Zemczak on 2019-05-08
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
binutils (Ubuntu)
High
Steve Beattie
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
eclipse-titan (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-7 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-7-cross (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-7-cross-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-8 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-8-cross (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-8-cross-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-defaults (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-defaults-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
ggcov (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]
With LP: #1814369, the toolchain packages have been updated in both cosmic and bionic, but due to an error those packages were built in -proposed as any regular SRU. For toolchain updates there exists a policy that those should be always built against -security *only*, and then released to both -security and -updates.

Since this is not the case with the current toolchain update, we need to no-change rebuild all of the previously released toolchain packages in a -security enabled devirt PPA, sync them to -proposed with binaries and then release into the archives.

[Regression Potential]
As these are toolchain packages, there is always some regression potential. These will be no-change rebuilds so in theory the risk should be low, but the current versions of the packages have not been built against -security only before. It is hard to say how any regressions could manifest themselves.

[Test Case]
Making sure there are no reported regressions in the GCC and binutils test suites. Hopefully this will be sufficient.

Steve Beattie (sbeattie) wrote :

Hi Łukasz, I'll take this for the security team. Thanks.

Steve Beattie (sbeattie) on 2019-05-20
Changed in binutils (Ubuntu):
assignee: nobody → Steve Beattie (sbeattie)

Hello Łukasz, or anyone else affected,

Accepted binutils into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils/2.31.1-6ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in binutils (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in eclipse-titan (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted eclipse-titan into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/eclipse-titan/6.3.1-1build4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7 (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-7 into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7/7.4.0-1ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7-cross (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-7-cross into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross/26ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7-cross-ports (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-7-cross-ports into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross-ports/21ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8 (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-8 into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8/8.3.0-6ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8-cross (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-8-cross into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross/21ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8-cross-ports (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-8-cross-ports into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross-ports/12ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-defaults (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-defaults into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults/1.179ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-defaults-ports (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-defaults-ports into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults-ports/1.178ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ggcov (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted ggcov into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ggcov/0.9+20190314-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in binutils (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted binutils into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/binutils/2.30-21ubuntu1~18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in eclipse-titan (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted eclipse-titan into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/eclipse-titan/6.3.1-1build1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7 (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-7 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7/7.4.0-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7-cross (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-7-cross into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross/21ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7-cross-ports (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-7-cross-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross-ports/17ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8 (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-8 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8/8.3.0-6ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8-cross (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-8-cross into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross/18ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8-cross-ports (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-8-cross-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross-ports/9ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-defaults (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-defaults into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults/1.176ubuntu2.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-defaults-ports (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted gcc-defaults-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults-ports/1.176ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ggcov (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Łukasz, or anyone else affected,

Accepted ggcov into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ggcov/0.9+20190314-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

@sbeattie Hey Steve! I bin-copied all the packages to cosmic-proposed and bionic-proposed. Could you have a quick look at those? Once I see some autopkgtest results for those, with your blessing I'd like to copy those to -updates and -security soon!

Łukasz Zemczak (sil2100) wrote :

Autopkgtests look good. Updated hints to see installability of all the packages.

Łukasz Zemczak (sil2100) wrote :

Ok, packages look fine from the releasability POV. Let me double-confirm with security if those are good to go and then perform the copies.

Colin Watson (cjwatson) wrote :

I had to remove gcc-defaults-ports from cosmic-proposed: https://launchpad.net/ubuntu/+source/gcc-defaults-ports/1.176ubuntu1.2 and https://launchpad.net/ubuntu/+source/gcc-defaults-ports/1.178ubuntu1.2 have overlapping binary versions in different builds, so these were unpublishable and were causing the publisher to OOPS frequently. Could you please sort out a non-overlapping version scheme here?

Łukasz Zemczak (sil2100) wrote :

Hey Colin! I'm EOD now so I didn't have time to look into it (and am probably too sleepy to look at this sanely) but what do you mean by 'versions overlapping'? 1.176ubuntu1.2 and 1.178ubuntu1.2 seem like different versions (1.176 for bionic and 1.178 for cosmic), and one is smaller than the other. How does the overlap look like?

Note one can create .deb packages with arbitrary version numbers not
matching what is listed in debian/changelog.
And this package does that, for Spaß and clarity.

And both builds appear to produce binaries with version numbers
matching the underlying source gcc versions e.g. both builds produce:

gccgo-alpha-linux-gnu-4:8.3.0-1ubuntu1.2

Which launchpad will not allow to publish.

Also I don't think you need to strictly rebuild and republish
gcc-defaults-ports and similar packages. as they should be
metapackages only and don't contain any toolchains.... (and i.e. are
safe to copy into -security pocket)

--
Regards,

Dimitri.

Łukasz Zemczak (sil2100) wrote :

Ah, now I see that, thanks Dimitri! Actually I see Colin did mention 'binary versions', but I didn't really read that properly yesterday night. duh. Anyway, will look into that now.

Hello Łukasz, or anyone else affected,

Accepted gcc-defaults-ports into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults-ports/1.178ubuntu1.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Beattie (sbeattie) wrote :

Lukasz, all these packages look fine from the Ubuntu Security Team's perspective. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils - 2.31.1-6ubuntu1.2

---------------
binutils (2.31.1-6ubuntu1.2) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 08 May 2019 09:03:59 +0200

Changed in binutils (Ubuntu Cosmic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eclipse-titan - 6.3.1-1build4.2

---------------
eclipse-titan (6.3.1-1build4.2) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 22 May 2019 11:39:29 +0200

Changed in eclipse-titan (Ubuntu Cosmic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7 - 7.4.0-1ubuntu1~18.10.1

---------------
gcc-7 (7.4.0-1ubuntu1~18.10.1) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 08 May 2019 16:15:35 +0200

Changed in gcc-7 (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross - 26ubuntu1.2

---------------
gcc-7-cross (26ubuntu1.2) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 17:35:59 +0200

Changed in gcc-7-cross (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross-ports - 21ubuntu1.2

---------------
gcc-7-cross-ports (21ubuntu1.2) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 18:01:54 +0200

Changed in gcc-7-cross-ports (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8 - 8.3.0-6ubuntu1~18.10.1

---------------
gcc-8 (8.3.0-6ubuntu1~18.10.1) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 08 May 2019 14:02:39 +0200

Changed in gcc-8 (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross - 21ubuntu1.2

---------------
gcc-8-cross (21ubuntu1.2) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 17:45:06 +0200

Changed in gcc-8-cross (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross-ports - 12ubuntu1.2

---------------
gcc-8-cross-ports (12ubuntu1.2) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 18:02:32 +0200

Changed in gcc-8-cross-ports (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults - 1.179ubuntu1.2

---------------
gcc-defaults (1.179ubuntu1.2) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 18:07:51 +0200

Changed in gcc-defaults (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ggcov - 0.9+20190314-0ubuntu1~18.10.1

---------------
ggcov (0.9+20190314-0ubuntu1~18.10.1) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 29 May 2019 17:33:56 +0200

Changed in ggcov (Ubuntu Cosmic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eclipse-titan - 6.3.1-1build1.3

---------------
eclipse-titan (6.3.1-1build1.3) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 22 May 2019 11:44:51 +0200

Changed in eclipse-titan (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7 - 7.4.0-1ubuntu1~18.04.1

---------------
gcc-7 (7.4.0-1ubuntu1~18.04.1) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 08 May 2019 17:53:03 +0200

Changed in gcc-7 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross - 21ubuntu0.3

---------------
gcc-7-cross (21ubuntu0.3) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 17:41:20 +0200

Changed in gcc-7-cross (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8 - 8.3.0-6ubuntu1~18.04.1

---------------
gcc-8 (8.3.0-6ubuntu1~18.04.1) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 08 May 2019 17:51:17 +0200

Changed in gcc-8 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in gcc-8-cross-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross-ports - 9ubuntu0.4

---------------
gcc-8-cross-ports (9ubuntu0.4) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 18:05:17 +0200

Changed in gcc-8-cross-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ggcov - 0.9+20190314-0ubuntu1~18.04.1

---------------
ggcov (0.9+20190314-0ubuntu1~18.04.1) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 29 May 2019 17:35:01 +0200

Changed in ggcov (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults-ports - 1.178ubuntu1.18.10.1

---------------
gcc-defaults-ports (1.178ubuntu1.18.10.1) cosmic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 21:37:28 +0200

Changed in gcc-defaults-ports (Ubuntu Cosmic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package binutils - 2.30-21ubuntu1~18.04.2

---------------
binutils (2.30-21ubuntu1~18.04.2) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 08 May 2019 10:14:07 +0200

Changed in binutils (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross-ports - 17ubuntu0.3

---------------
gcc-7-cross-ports (17ubuntu0.3) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 18:04:46 +0200

Changed in gcc-7-cross-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Changed in gcc-8-cross (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross - 18ubuntu0.4

---------------
gcc-8-cross (18ubuntu0.4) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 17:47:37 +0200

Changed in gcc-8-cross (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults-ports - 1.176ubuntu1.3

---------------
gcc-defaults-ports (1.176ubuntu1.3) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 21:38:37 +0200

Changed in gcc-defaults-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults - 1.176ubuntu2.3

---------------
gcc-defaults (1.176ubuntu2.3) bionic; urgency=medium

  * No-change rebuild strictly against -security only (LP: #1828171).

 -- Łukasz 'sil2100' Zemczak <email address hidden> Mon, 20 May 2019 18:08:41 +0200

Changed in gcc-defaults (Ubuntu Bionic):
status: Fix Committed → Fix Released
Matthias Klose (doko) on 2019-06-19
Changed in binutils (Ubuntu):
status: New → Fix Released
Changed in eclipse-titan (Ubuntu):
status: New → Fix Released
Changed in gcc-7 (Ubuntu):
status: New → Fix Released
Changed in gcc-7-cross (Ubuntu):
status: New → Fix Released
Changed in gcc-7-cross-ports (Ubuntu):
status: New → Fix Released
Changed in gcc-8 (Ubuntu):
status: New → Fix Released
Changed in gcc-8-cross (Ubuntu):
status: New → Fix Released
Changed in gcc-8-cross-ports (Ubuntu):
status: New → Fix Released
Changed in gcc-defaults (Ubuntu):
status: New → Fix Released
Changed in gcc-defaults-ports (Ubuntu):
status: New → Fix Released
Changed in ggcov (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers